# rawtoppm

Updated: 06 February 1991
Table Of Contents

## NAME

rawtoppm - convert a stream of raw RGB bytes to a PPM image

## SYNOPSIS

rawtoppm [-headerskip N] [-rowskip N] [ -rgb|-rbg|-grb |-gbr|-brg|-bgr ] [-interpixel|-interrow] width height [imagedata]

## DESCRIPTION

This program is part of Netpbm.

rawtoppm reads raw RGB bytes as input and produces a PPM image as output. The input file is just RGB bytes. You have to specify the width and height on the command line, since the program obviously can't get them from the file. rawtoppm assumes the maxval of the input samples is 255, and makes the maxval of the output PPM 255.

rawtoppm assumes the pixels come top first in the input stream. If they are actually bottom first, the resulting PPM is upside down, so run it through pamflip -tb.

## OPTIONS

-headerskip
  Skip over this many bytes at the beginning of the input stream. Use this option when the input has some kind of header followed by a raster suitable for rawtoppm.
-rowskip
  Skip this many bytes at the end of each row of the raster. (Some input streams have padding at the end of rows).
-rgb -rbg -grb -gbr -brg -bgr
  This option specifies the order of the color components for each pixel. The default is -rgb.
-interpixel -interrow
  These options specify how the colors are interleaved. The default is -interpixel, meaning interleaved by pixel. A byte of red, a byte of green, and a byte of blue, or whatever color order you specified. -interrow means interleaved by row - a row of red, a row of green, a row of blue, assuming standard rgb color order. An -interplane option - all the red pixels, then all the green, then all the blue - would be an obvious extension, but is not implemented. You could get the same effect by splitting the file into three parts (perhaps using dd), turning each part into a PGM file with rawtopgm, and then combining them with rgb3toppm.

## SEE ALSO

ppm, rawtopgm, rgb3toppm, pamflip

## AUTHOR

Copyright (C) 1991 by Jef Poskanzer.

## Table Of Contents

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR